data {
    int N_no;
    int N_yes;
    int S_no;
    int S_yes;
}
parameters {
    real d;
    real C;
}
transformed parameters {
    real<lower = 0.0, upper = 1.0> N_p;
    real<lower = 0.0, upper = 1.0> S_p;
    N_p = normal_cdf(C, 0.0, 1.0);
    S_p = normal_cdf(C - d, 0.0, 1.0);
}
model {
    d ~ normal(0.0, 1000.0);
    C ~ normal(0.0, 1000.0);
    N_no ~ binomial(N_no + N_yes, N_p);
    S_no ~ binomial(S_no + S_yes, S_p);
}
